Skip to main content
PUT
/
printers
/
{id}
/
maintenance
Toggle printer maintenance mode
curl --request PUT \
  --url https://api.autoprintfarm.com/public/v1/printers/{id}/maintenance \
  --header 'Authorization: Bearer <token>' \
  --header 'Content-Type: application/json' \
  --data '
{
  "in_maintenance": true,
  "maintenance_type": "<string>"
}
'
{
  "success": true,
  "data": {
    "id": "<string>",
    "name": "<string>",
    "model": "<string>",
    "manufacturer": "<string>",
    "status": "<string>",
    "location": "<string>",
    "nozzle_size": 123,
    "current_color": "<string>",
    "current_color_hex": "<string>",
    "current_filament_type": "<string>",
    "current_build_plate": "<string>",
    "has_ams": true,
    "is_active": true,
    "created_at": "<string>",
    "updated_at": "<string>",
    "firmware_version": "<string>",
    "total_print_time": 123,
    "filament_level": 123,
    "last_maintenance_date": "<string>",
    "in_maintenance": true,
    "maintenance_type": "<string>"
  }
}

Authorizations

Authorization
string
header
required

API keys are minted in the AutoPrintFarm web app under Settings → API Keys. Send as Authorization: Bearer apf_live_.... Keys are shown exactly once at creation and can be revoked at any time.

Path Parameters

id
string
required

Body

application/json
in_maintenance
boolean
required
maintenance_type
string
Maximum string length: 120

Response

Toggled

success
enum<boolean>
required
Available options:
true
data
object
required